Subject: Re: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/

From: Michael Albinus <[email-masked]>
Date: Tue, 16 Aug 2022 15:19:36 +0200

Jean Louis <[email-masked]> writes:

Hi Jean,

> then I did what you said and debug is attached.

No, you didn't.

> 11:52:21.366682 tramp-get-connection-property (7) # remote-path (/sbin); cache used: t

This shows, that the remote path is taken from the cache. Since you
haven't shown the whole debug buffer, I cannot analyze how this cache
value has been computed.

PLEASE apply the steps exactly as I have described. Call "src/emacs -Q",
make your settings, including setting tramp-verbose to 10, run your
test, and send the whole debug buffer. Otherwise, I have no chance for
analysis.

> Jean

Best regards, Michael.